Oracle Linux 6 / 7 : xorg-x11-server (ELSA-2015-0797)

Medium Nessus Plugin ID 82690


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2015:0797 :

Updated xorg-x11-server packages that fix one security issue are now available for Red Hat Enterprise Linux 6 and 7.

Red Hat Product Security has rated this update as having Moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

X.Org is an open source implementation of the X Window System. It provides the basic low-level functionality that full-fledged graphical user interfaces are designed upon.

A buffer over-read flaw was found in the way the X.Org server handled XkbGetGeometry requests. A malicious, authorized client could use this flaw to disclose portions of the X.Org server memory, or cause the X.Org server to crash using a specially crafted XkbGetGeometry request. (CVE-2015-0255)

This issue was discovered by Olivier Fourdan of Red Hat.

All xorg-x11-server users are advised to upgrade to these updated packages, which contain a backported patch to correct this issue.


Update the affected xorg-x11-server packages.

See Also

Plugin Details

Severity: Medium

ID: 82690

File Name: oraclelinux_ELSA-2015-0797.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2015/04/10

Modified: 2015/12/04

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:xorg-x11-server-Xdmx, p-cpe:/a:oracle:linux:xorg-x11-server-Xephyr, p-cpe:/a:oracle:linux:xorg-x11-server-Xnest, p-cpe:/a:oracle:linux:xorg-x11-server-Xorg, p-cpe:/a:oracle:linux:xorg-x11-server-Xvfb, p-cpe:/a:oracle:linux:xorg-x11-server-common, p-cpe:/a:oracle:linux:xorg-x11-server-devel, p-cpe:/a:oracle:linux:xorg-x11-server-source, cpe:/o:oracle:linux:6, cpe:/o:oracle:linux:7

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/04/10

Reference Information

CVE: CVE-2015-0255

OSVDB: 118221

RHSA: 2015:0797